import { defineEventHandler } from "h3";

import { orderExists } from "../[id].get";
import { database } from "~/server/utils/database";
import { prismaToWeb } from "~/server/utils/prismaToWeb";

import { createError } from "#imports";

export default defineEventHandler(async (e) => {
  const orderId = e.context.params?.id as string;

  if (!(await orderExists(BigInt(orderId)))) throw createError({ statusCode: 404 });

  return database.importedProduct.findMany({
    where: {
      orderId: BigInt(orderId),
    },
    select: {
      id: true,
      link: true,
      name: true,
      orderId: true,
      price: true,
      price_imported: true,
    },
  }).then(prismaToWeb);
});
