import { defineEventHandler } from "h3";

import { database } from "~/server/utils/database";

import { createError } from "#imports";

export default defineEventHandler(async (e) => {
  const idOrder = e.context.params?.id as string;
  const idWork = e.context.params?.idWork as string;

  try {
    await database.work.delete({
      where: {
        id: BigInt(idWork),
        orderId: BigInt(idOrder),
      },
    });
  } catch (e) {
    // FIXME: should be 500 on errors other than "RecordNotFound"
    throw createError({ statusCode: 404 });
  }

  return null;
});
